summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-sound/umurmur
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-sound/umurmur')
-rw-r--r--media-sound/umurmur/Manifest1
-rw-r--r--media-sound/umurmur/files/umurmur.conf58
-rw-r--r--media-sound/umurmur/files/umurmurd.confd3
-rw-r--r--media-sound/umurmur/files/umurmurd.initd19
-rw-r--r--media-sound/umurmur/files/umurmurd.service15
-rw-r--r--media-sound/umurmur/metadata.xml36
-rw-r--r--media-sound/umurmur/umurmur-0.2.16a.ebuild88
7 files changed, 220 insertions, 0 deletions
diff --git a/media-sound/umurmur/Manifest b/media-sound/umurmur/Manifest
new file mode 100644
index 00000000000..171310f726c
--- /dev/null
+++ b/media-sound/umurmur/Manifest
@@ -0,0 +1 @@
+DIST umurmur-0.2.16a.tar.gz 91187 SHA256 d64df8f77ceaa4951d7f2adbb2dcc173841d1e387ef4cd2082c42150a84349a5 SHA512 432a85e93cb7d53c505caf8b97c1bb7c173c8f625127510de61cc0a1e3abaea9abcf96ab1c0a8c5039ba82af5d29710e4973f70c1438bfd44ba00fa0c3f64c9e WHIRLPOOL 98a01a25dad0427bda0379711f9702ee8ed70bbeb50daa439a9e8c40bfec174f79bfe6ed02e07ff20a4f0f8614de83cbd4806ccbacc0066c769d9e43678b508e
diff --git a/media-sound/umurmur/files/umurmur.conf b/media-sound/umurmur/files/umurmur.conf
new file mode 100644
index 00000000000..cebcca28a58
--- /dev/null
+++ b/media-sound/umurmur/files/umurmur.conf
@@ -0,0 +1,58 @@
+# This configuration is based on the official example configuration. More information can be found
+# at http://code.google.com/p/umurmur/wiki/Configuring02x
+
+max_bandwidth = 48000;
+welcometext = "Welcome to uMurmur!";
+certificate = "/etc/umurmur/cert.crt";
+private_key = "/etc/umurmur/key.key";
+password = "";
+max_users = 10;
+
+# Specify port and/or address to bind to. Typically not needed.
+# Default is '*' for address and 64738 for port.
+# Can also be specified on the command line, which takes precedence if
+# both are specified.
+# bindport = 64738;
+# bindaddr = "192.168.1.1";
+
+# Specify this for privilege dropping. If username is specified but not
+# the groupname, the user's login group is used.
+username = "murmur";
+groupname = "murmur";
+
+# Root channel must always be defined first.
+# If a channel has a parent, the parent must be defined before the child channel(s).
+channels = ( {
+ name = "Root";
+ parent = "";
+ description = "The Root of all channels";
+ noenter = true;
+ },
+ {
+ name = "Lobby";
+ parent = "Root";
+ description = "Lobby channel";
+ },
+ {
+ name = "Red team";
+ parent = "Lobby";
+ description = "The Red team channel";
+ },
+ {
+ name = "Blue team";
+ parent = "Lobby";
+ description = "The Blue team channel";
+ }
+);
+# Channel links configuration.
+channel_links = ( {
+ source = "Lobby";
+ destination = "Red team";
+ },
+ {
+ source = "Lobby";
+ destination = "Blue team";
+ }
+);
+
+default_channel = "Lobby";
diff --git a/media-sound/umurmur/files/umurmurd.confd b/media-sound/umurmur/files/umurmurd.confd
new file mode 100644
index 00000000000..d83461ce725
--- /dev/null
+++ b/media-sound/umurmur/files/umurmurd.confd
@@ -0,0 +1,3 @@
+# Additional flags to be passed to umurmurd
+UMURMURD_OPTS="-r"
+
diff --git a/media-sound/umurmur/files/umurmurd.initd b/media-sound/umurmur/files/umurmurd.initd
new file mode 100644
index 00000000000..3d4183190ab
--- /dev/null
+++ b/media-sound/umurmur/files/umurmurd.initd
@@ -0,0 +1,19 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+description="umurmurd - A minimalistic mumble server"
+pidfile="/run/umurmurd/umurmurd.pid"
+command="/usr/bin/umurmurd"
+command_args="-c /etc/umurmur/umurmur.conf -p ${pidfile} ${UMURMURD_OPTS}"
+start_stop_daemon_args="-p ${pidfile} -w 100"
+
+depend() {
+ need net
+ use logger
+}
+
+start_pre() {
+ checkpath -d -o murmur ${pidfile%/*}
+}
diff --git a/media-sound/umurmur/files/umurmurd.service b/media-sound/umurmur/files/umurmurd.service
new file mode 100644
index 00000000000..12ad2aec645
--- /dev/null
+++ b/media-sound/umurmur/files/umurmurd.service
@@ -0,0 +1,15 @@
+[Unit]
+Description=A minimalistic Mumble server
+After=network.target
+
+[Service]
+Type=simple
+User=murmur
+Group=murmur
+PIDFile=/run/umurmurd.pid
+ExecStartPre=/usr/bin/umurmurd -t -c /etc/umurmur/umurmur.conf
+ExecStart=/usr/bin/umurmurd -d -r -p /run/umurmurd.pid -c /etc/umurmur/umurmur.conf
+ExecReload=/bin/kill -HUP $MAINPID
+
+[Install]
+WantedBy=multi-user.target
diff --git a/media-sound/umurmur/metadata.xml b/media-sound/umurmur/metadata.xml
new file mode 100644
index 00000000000..3506df7afe6
--- /dev/null
+++ b/media-sound/umurmur/metadata.xml
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>polynomial-c@gentoo.org</email>
+ <name>Lars Wendler</name>
+ </maintainer>
+ <maintainer>
+ <email>alex_y_xu@yahoo.ca</email>
+ <name>Alex Xu</name>
+ <description>Co maintainer, CC bugs</description>
+ </maintainer>
+ <longdescription lang="en">
+ uMurmur is a minimalistic Mumble server primarily targeted to
+ run on routers with an open OS like OpenWRT. The server part
+ of Mumble is called Murmur, hence the name uMurmur.
+ </longdescription>
+ <use>
+ <flag name="polarssl">Use <pkg>net-libs/polarssl</pkg>
+ instead of <pkg>dev-libs/openssl</pkg></flag>
+ <flag name="shm">Enable shared memory support</flag>
+ </use>
+ <upstream>
+ <maintainer status="active">
+ <email>fatbob.snack@gmail.com</email>
+ <name>Martin Johansson</name>
+ </maintainer>
+ <bugs-to>https://code.google.com/p/umurmur/issues/list</bugs-to>
+ <changelog>
+ https://code.google.com/p/umurmur/wiki/Changelog</changelog>
+ <doc lang="en">https://code.google.com/p/umurmur/w/list</doc>
+ <remote-id type="google-code">umurmur</remote-id>
+ <remote-id type="github">umurmur/umurmur</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/media-sound/umurmur/umurmur-0.2.16a.ebuild b/media-sound/umurmur/umurmur-0.2.16a.ebuild
new file mode 100644
index 00000000000..fafe9f5e6e4
--- /dev/null
+++ b/media-sound/umurmur/umurmur-0.2.16a.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools systemd eutils readme.gentoo user
+
+DESCRIPTION="Minimalistic Murmur (Mumble server)"
+HOMEPAGE="http://code.google.com/p/umurmur/ https://github.com/umurmur/umurmur"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm x86"
+IUSE="gnutls polarssl shm"
+
+DEPEND=">=dev-libs/protobuf-c-1.0.0_rc2
+ dev-libs/libconfig
+ gnutls? ( >=net-libs/gnutls-3.0.0 )
+ polarssl? ( >=net-libs/polarssl-1.0.0 )
+ !gnutls? ( !polarssl? ( dev-libs/openssl:0 ) )"
+
+RDEPEND="${DEPEND}"
+
+DOC_CONTENTS="
+ A configuration file has been installed at /etc/umurmur.conf - you may
+ want to review it. See also\n
+ https://github.com/umurmur/umurmur/wiki/Configuration "
+
+pkg_setup() {
+ enewgroup murmur
+ enewuser murmur "" "" "" murmur
+}
+
+src_prepare() {
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+
+ if use polarssl && use gnutls; then
+ ewarn "Both gnutls and polarssl requested, defaulting to polarssl."
+ fi
+
+ econf \
+ --with-ssl=$(usev polarssl || usev gnutls || echo openssl) \
+ $(use_enable shm shmapi)
+}
+
+src_install() {
+ local confdir
+
+ emake DESTDIR="${D}" install
+
+ newinitd "${FILESDIR}"/umurmurd.initd umurmurd
+ newconfd "${FILESDIR}"/umurmurd.confd umurmurd
+ systemd_dounit "${FILESDIR}"/umurmurd.service
+
+ dodoc AUTHORS ChangeLog
+ newdoc README.md README
+
+ confdir="/etc/umurmur"
+ insinto "${confdir}"
+ doins "${FILESDIR}"/umurmur.conf
+
+ # Some permissions are adjusted as the config may contain a server
+ # password, and /etc/umurmur will typically contain the cert and the
+ # key used to sign it, which are read after priveleges are dropped.
+ fperms 0750 "${confdir}"
+ fowners -R root:murmur "${confdir}"
+ fperms 0640 "${confdir}"/umurmur.conf
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+
+ if use polarssl ; then
+ elog
+ elog "Because you have enabled PolarSSL support, umurmurd will use a"
+ elog "predefined test-certificate and key if none are configured, which"
+ elog "is insecure. See http://code.google.com/p/umurmur/wiki/Installing02x#Installing_uMurmur_with_PolarSSL_support"
+ elog "for more information on how to create your certificate and key"
+ fi
+}